cc.funkemunky.api.commands

## Class FunkeCommand

- java.lang.Object
- - cc.funkemunky.api.commands.FunkeCommand

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter

Direct Known Subclasses:
  AtlasCommand

    public abstract class FunkeCommand
    extends java.lang.Object
    implements org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter

### Constructor Summary

Constructors
Constructor and Description
`FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin, java.lang.String name, java.lang.String display, java.lang.String description, java.lang.String permission)`
`FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin, java.lang.String name, java.lang.String display, java.lang.String description, java.lang.String permission, boolean registerLater)`
`FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin, java.lang.String name, java.lang.String display, java.lang.String permission, java.lang.String description, boolean helpPage, boolean registerLater)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `addArguments()`
`boolean` `onCommand(org.bukkit.command.CommandSender sender, org.bukkit.command.Command cmd, java.lang.String label, java.lang.String[] args)`
`java.util.List<java.lang.String>` `onTabComplete(org.bukkit.command.CommandSender commandSender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.command.TabCompleter

`onTabComplete`

### Constructor Detail

#### FunkeCommand

    public FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin,
                        java.lang.String name,
                        java.lang.String display,
                        java.lang.String description,
                        java.lang.String permission)

#### FunkeCommand

    public FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin,
                        java.lang.String name,
                        java.lang.String display,
                        java.lang.String description,
                        java.lang.String permission,
                        boolean registerLater)

#### FunkeCommand

    public FunkeCommand(org.bukkit.plugin.java.JavaPlugin plugin,
                        java.lang.String name,
                        java.lang.String display,
                        java.lang.String permission,
                        java.lang.String description,
                        boolean helpPage,
                        boolean registerLater)

### Method Detail

#### onTabComplete

    public java.util.List<java.lang.String> onTabComplete(org.bukkit.command.CommandSender commandSender,
                                                          org.bukkit.command.Command command,
                                                          java.lang.String label,
                                                          java.lang.String[] args)

Specified by:
  `onTabComplete` in interface `org.bukkit.command.TabCompleter`

#### onCommand

    public boolean onCommand(org.bukkit.command.CommandSender sender,
                             org.bukkit.command.Command cmd,
                             java.lang.String label,
                             java.lang.String[] args)

Specified by:
  `onCommand` in interface `org.bukkit.command.CommandExecutor`

#### addArguments

    protected abstract void addArguments()